Will a Dual-Core PowerMac G5 Run Reliably on Panther?

Discussion in 'macOS' started by JasonGough, Feb 24, 2006.

  1. JasonGough macrumors regular


    Apr 25, 2005
    Manchester, UK
    Weird question maybe, but for various reasons i am considering trying Panther (10.3.8) on my Dual-Core PowerMac.

    No complaints atall with Tiger, i love it, this is a weird compatibility problem and i might try using Panther for abit.

    I know that Panther shipped on PowerMac G5s for ages, but do the Dual-Core PowerMacs need the brand new Tiger to run properly?

    If anyone knows the deal, please let me know.

    Thanx in advance guys :)
  2. CanadaRAM macrumors G5


    Oct 11, 2004
    On the Left Coast - Victoria BC Canada
    I dont know for sure but Apple typically has never had backwards OS compatibility with new architectures, so I would lay odds that it would not work. Also, attempting to install it may seriously b0rk your OS and data on the hard drive, so be forewarned.
  3. RBMaraman macrumors 65816


    Jul 25, 2002
    Prospect, KY
    CanadaRAM is correct. Whenever you buy a new Mac, the OS that comes with the system is the lowest OS that machine can run. Period. No getting around it. If it came with 10.4.3, you can't even install 10.4.2. If you try to install Panther, the machine simply will not let you.
  4. Rod Rod macrumors 68020

    Rod Rod

    Sep 21, 2003
    Las Vegas, NV
    My friend got a 1.33GHz PB G4 (April 2004 model) second-hand. The original owner installed Jaguar on it. It ran, but weirdly. I forgot what the specific quirks were because it was more than a year ago, but suffice it to say that I did a fresh install of Panther on that and after that everything was good.
  5. SmurfBoxMasta macrumors 65816


    Nov 24, 2005
    I'm only really here at night.
    yes, but that was going forward OS-wise, not backwards :)

    The firmware in all machines since the B&W's will prevent any regression to an OS version that is an earlier version than what was originally installed by apple at the factory
  6. tdhurst macrumors 68040


    Dec 27, 2003
    Portland, OR
    Another agreement...

    They are all right here. Macs won't run on any OS less than the one it shipped with (well, maybe for 10.4.x, but certainly not a lesser 10.x).
  7. mduser63 macrumors 68040


    Nov 9, 2004
    Salt Lake City, UT
    No, he's saying that his friend bought a PowerBook that shipped with Panther, but the previous owner had somehow installed Jaguar on it. It worked, but there were some problems.

Share This Page